Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ClassDomain

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SchemaObject
                  oracle.ifs.server.S_TieSchemaObject
                      oracle.ifs.server.S_ClassDomain

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  S_TieClassDomain

    public class S_ClassDomain

extends S_TieSchemaObject

A S_ClassDomain describes a validation that can be applied to an Attribute to ensure that its values are instances of specified classes.

(Published)

Field Summary
`protected boolean` | `m_Resolved` Whether the member variable shadows of the attribute values of this attribute have been populated.
`protected java.util.Hashtable` | `m_ResolvedClassIds` The ids of the resolved classes in this ClassDomain.

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_ClassDomain(S_LibrarySession ssession, java.lang.Long classId)` Constructs an S_ClassDomain.
`protected` | `S_ClassDomain(S_LibrarySession ssession, S_LibraryObjectData data)` Constructs an S_ClassDomain.

Method Summary
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-insert validation.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-update validation.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`void` | `invalidateState()` Invalidate any information cached for this object.
`protected boolean` | `isClassInClassDomain(java.lang.Long classId)` Determines whether the specified class id is within this ClassDomain.
`boolean` | `isClassInClassDomain(S_ClassObject co)` Determines whether the specified ClassObject is within this ClassDomain.

Methods inherited from class oracle.ifs.server.S_SchemaObject
`addCategory, cascadeFree, deriveDefinition, getCategories, getCategories, getCategories, handleCascade, hasNameAttribute, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPostFree, extendedPostInsert, extendedPostUpdate, extendedPreCopy, extendedPreFree, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, hashCode, insertReferenceAttributes, insertRow, insertRows, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### m_ResolvedClassIds

    protected java.util.Hashtable m_ResolvedClassIds

  Description copied from class: `S_ClassDomain`
  The ids of the resolved classes in this ClassDomain.

  (Unpublished)

### m_Resolved

    protected boolean m_Resolved

  Description copied from class: `S_ClassDomain`
  Whether the member variable shadows of the attribute values of this attribute have been populated.

  (Unpublished)

Constructor Detail

### S_ClassDomain

    protected S_ClassDomain(S_LibrarySession ssession,
                            S_LibraryObjectData data)
                     throws IfsException

  Constructs an S_ClassDomain.

  Parameters:
    `ssession` - the session
    `data` - the ClassDomain data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_ClassDomain

    protected S_ClassDomain(S_LibrarySession ssession,
                            java.lang.Long classId)
                     throws IfsException

  Constructs an S_ClassDomain.

  This variant is used for objects that have not yet been created in the database.

  Parameters:
    `ssession` - the session
    `classId` - the id of the class of the object being constructed
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### isClassInClassDomain

    protected boolean isClassInClassDomain(java.lang.Long classId)
                                    throws IfsException

  Description copied from class: `S_ClassDomain`
  Determines whether the specified class id is within this ClassDomain.

  Parameters:
    `classId` - the class id
  Returns:
    whether the class lies within this ClassDomain
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isClassInClassDomain

    public boolean isClassInClassDomain(S_ClassObject co)
                                 throws IfsException

  Description copied from class: `S_ClassDomain`
  Determines whether the specified ClassObject is within this ClassDomain.

  Parameters:
    `co` - the classobject
  Returns:
    whether the class lies within this ClassDomain
  Throws:
    `IfsException` - if the operation fails
  (Published)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_ClassDomain`
  Performs pre-insert validation.

  Overrides:
    `extendedPreInsert` in class `S_SchemaObject`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition of the ClassDomain being created
  Throws:
    `IfsException` - (IFS-31201) if any element of the CLASSES attribute is null
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_ClassDomain`
  Performs pre-update validation.

  Overrides:
    `extendedPreUpdate` in class `S_SchemaObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition of the ClassDomain being updated
  Throws:
    `IfsException` - (IFS-31201) if any element of the CLASSES attribute is null
  (Published)

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `S_ClassDomain`
  Handles the specified event.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Overrides:
    `handleEvent` in class `S_LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails
  (Published)

### invalidateState

    public void invalidateState()
                         throws IfsException

  Description copied from class: `S_ClassDomain`
  Invalidate any information cached for this object.

  In addition to the invalidation performed by our superclasses, indicate that we are not resolved.

  Overrides:
    `invalidateState` in class `S_LibraryObject`
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD